Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfOverflowBehaviorType

    java.lang.Object
      java.lang.Enum<OdfOverflowBehaviorType>
          org.odftoolkit.odfdom.dom.type.style.OdfOverflowBehaviorType

All Implemented Interfaces:
  Serializable, Comparable<OdfOverflowBehaviorType>

    public enum OdfOverflowBehaviorType

extends Enum<OdfOverflowBehaviorType>

DOM implementation of OpenDocument attribute style:overflow-behavior.

Enum Constant Summary
`AUTO_CREATE_NEW_FRAME`
`CLIP`

Method Summary
`static OdfOverflowBehaviorType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfOverflowBehaviorType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfOverflowBehaviorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfOverflowBehaviorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AUTO_CREATE_NEW_FRAME

    public static final OdfOverflowBehaviorType AUTO_CREATE_NEW_FRAME

### CLIP

    public static final OdfOverflowBehaviorType CLIP

Method Detail

### values

    public static OdfOverflowBehaviorType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfOverflowBehaviorType c : OdfOverflowBehaviorType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfOverflowBehaviorType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfOverflowBehaviorType>`
  Returns:
    return the name of OdfOverflowBehaviorType

### toString

    public static String toString(OdfOverflowBehaviorType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfOverflowBehaviorType, see style:overflow-behavior
  Returns:
    return the name of OdfOverflowBehaviorType

### enumValueOf

    public static OdfOverflowBehaviorType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfOverflowBehaviorType
  Returns:
    return the constant of OdfOverflowBehaviorType, see style:overflow-behavior

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.